Cannot upgrade my AP230 from 6.1r5

  • 2
  • Question
  • Updated 3 years ago
  • Answered
I am trying to upgrade my AP230 from 6.1r5. It will not auto-update. The error seems to indicate that I have to do this incrementally. No problem, but How (new to the gui - still learning)?
Photo of Chris Lambert

Chris Lambert

  • 1 Post
  • 0 Reply Likes

Posted 4 years ago

  • 2
Photo of Mike Kouri

Mike Kouri, Official Rep

  • 1030 Posts
  • 271 Reply Likes
Chris,
On the same page where you selected "Update Devices", you should select "Advanced", then select the second choice. Next you'll be given an opportunity to select the specific version of code. Choose the 6.1r6 release. Once your AP230 is running that version, the "Update Devices" will succeed.


Photo of Thomas Bach

Thomas Bach

  • 30 Posts
  • 6 Reply Likes
I have the same problem, the 6.1r6 image is not avaible. anyone have an idea?
Photo of Brian Powers

Brian Powers, Champ

  • 396 Posts
  • 92 Reply Likes
I believe if you call/email support, they can get you access to 6.1r6 code.  I'm unsure why, but it does seem like that code version is not auto pushed to HM appliances anymore.  

If you have a support account, you can login there and download the file and manually upload it to your HM appliance.  https://support.aerohive.com/secur/download_page?id=570 (need a support account to access this and download it)
Photo of Thomas Bach

Thomas Bach

  • 30 Posts
  • 6 Reply Likes
How do I then upload it to the AP?
Photo of Brian Powers

Brian Powers, Champ

  • 396 Posts
  • 92 Reply Likes
You would need to send it to your HM instance first.  Under Configuration, go to Update and choose Advanced and Upload and Activate HiveOS Firmware.  From there, you may see an Add/Remove where you can choose Local File and browse to the firmware image and hit Upload.  

That should put it on your HM box to push to your APs.
Photo of Thomas Bach

Thomas Bach

  • 30 Posts
  • 6 Reply Likes
I can't find it :-( I don't have an add/remove. My HM is nline does that matter?
Photo of Nick Lowe

Nick Lowe, Official Rep

  • 2491 Posts
  • 451 Reply Likes
Thomas,

As this is old firmware, a prerequisite to getting to the latest, I have temporarily put 6.1r6c here:

https://mega.nz/#!bkE1wCSR!7IT79WF5tlVfuLCoJ0vrts67eFI2cEhy4WEutRte0Ew

Once downloaded, you can:

1) Use the Web UI on the AP to update it via https://ap_ip_address/

2) Alternatively, use a TFTP server with the following command at the CLI to get your AP updated:

save image tftp://192.168.0.123:/AP230-6.1r6c.img.S

(Just change the IP to be the one that you've got the TFTP server running on, obviously!)

Once updated, ensure the AP is rebooted. You should then be able to update to 6.4r1d via HMOL.

Let me know when you have this and I will kill the link.

Regards,

Nick
(Edited)
Photo of Robb Hollen

Robb Hollen

  • 6 Posts
  • 0 Reply Likes
OK, I'll put this here until I can open a support case.

We purchased several new APs for a new site that came with HiveOS 6.4r1. Our HiveManager is running 6.1r6a, so part of the process I follow is to downgrade the AP to 6.1r6. It failed with these particular APs which is how I ended up here to try to TFTP the file directly and bypass HiveManager.

TFTP has also failed. The following is the error given:

AH-1b3540#save image tftp://10.1.98.172:/AP230-6.1r6c.img.SDo you really want to update image?(Y/N)y
mode set to octet
Connected to 10.1.98.172 (10.1.98.172), port 69
getting from 10.1.98.172:/AP230-6.1r6c.img.S [octet]
Received bytes: 27010 KB
Received 27658568 bytes in 19.0 seconds [11625411 bit/s]
Application image size is 0x17e2040 and remaining room is 16503 KB
!!!Not allow to upgrade this image, according to OUI setting.
The format of image is incorrect!
ERROR: Save image failed!

I can't find anything as to what this OUI setting is, and if it can be configured differently to allow upgrading. Does anyone here have an idea while I try to get login information for the portal to create a ticket?

TIA, Robb
(Edited)
Photo of Nick Lowe

Nick Lowe, Official Rep

  • 2491 Posts
  • 451 Reply Likes
Don't try and downgrade the APs, update your HiveManager to 6.6r3 and put HiveOS 6.5r3 on all your APs.

If you want some help, add me on Skype: nick.lowe
(Edited)
Photo of Robb Hollen

Robb Hollen

  • 6 Posts
  • 0 Reply Likes
I would love to, but that isn't an option for us right now. I simply deploy, and have no involvement with the maintenance of that environment.
Photo of Nick Lowe

Nick Lowe, Official Rep

  • 2491 Posts
  • 451 Reply Likes
You cannot downgrade the APs you have been shipped to that HiveOS version, additionally HiveOS 6.1 is not, by the book, supported by Aerohive any more as per: 
Aerohive recognizes that networking is about supporting hardware investments. Aerohive supports the latest software release and at least the 2 previous versions (“n minus 2 versions”) of HiveManager. Simultaneously, Aerohive also supports the corresponding “n minus 2” device versions, so that if Aerohive discontinues a platform at a specific version, customers can still upgrade their other platforms to later releases.
The primary reason for this is that the OUIs (a component of all MAC addresses) that the newer hardware batches of the AP230s ship with is different and is simply not supported by the older HiveOS version.

You need to poke the right people to ensure that the environment is appropriately maintained.

In my opinion, this isn't really an issue that is appropriate for a support case therefore.
(Edited)
Photo of Robb Hollen

Robb Hollen

  • 6 Posts
  • 0 Reply Likes
Thank you for your help and input Nick. I'll certainly pass this information along.

Robb